# JsonDecoder class

This class parses JSON strings and builds the corresponding objects.

Inheritance
  - Object
  - StreamTransformerBase<String, Object>
  - Converter<String, Object>
  - JsonDecoder

## Constructors

JsonDecoder([dynamic reviver(Object key, Object value) ])
  Constructs a new JsonDecoder. [...]
  const

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

bind(Stream<String> stream) → Stream<Object>
  Transforms the provided `stream`. [...]
  override
convert(String input) → dynamic
  Converts the given JSON-string `input` to its corresponding object. [...]
  override
startChunkedConversion(Sink<Object> sink) → StringConversionSink
  Starts a conversion from a chunked JSON string to its corresponding object. [...]
  override
cast<RS, RT>() → Converter<RS, RT>
  Provides a `Converter<RS, RT>` view of this stream transformer. [...]
  inherited
fuse<TT>(Converter<Object, TT> other) → Converter<String, TT>
  Fuses `this` with `other`. [...]
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited